Skip to main content
DELETE
/
wishlist
Clear wishlist
curl --request DELETE \
  --url https://store.salesive.com/api/v1/wishlist \
  --header 'Authorization: Bearer <token>' \
  --header 'x-shop-id: <api-key>'
{
  "status": 123,
  "success": true,
  "message": "<string>",
  "data": {
    "_id": "<string>",
    "user": "<string>",
    "shop": "<string>",
    "items": [
      {
        "product": {
          "_id": "<string>",
          "name": "<string>",
          "price": 123,
          "images": [
            "<string>"
          ],
          "formattedPrice": "<string>",
          "sku": "<string>"
        },
        "addedAt": "2023-11-07T05:31:56Z",
        "variant": "<string>",
        "variantAttributes": {}
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Request

DELETE /wishlist
Authorization: Bearer {{token}}
x-shop-id: {{shopId}}

Headers

HeaderTypeDescription
AuthorizationstringProvide the customer token as Bearer <jwt>.
x-shop-idstringIdentify the shop that owns the wishlist.

Successful response

{
    "status": 200,
    "success": true,
    "message": "Wishlist cleared",
    "data": {
        "_id": "693c048b5b24f53cda947ddb",
        "user": "69360693a7a8f7dc8ae32d6d",
        "shop": "68b8f52575da81b332af29f1",
        "items": [],
        "createdAt": "2025-12-12T12:03:23.104Z",
        "updatedAt": "2026-06-09T09:10:13.047Z",
        "__v": 2,
        "id": "693c048b5b24f53cda947ddb"
    }
}

Error response

{
    "status": 401,
    "success": false,
    "message": "Unauthorized",
    "data": {}
}

Authorizations

Authorization
string
header
required

JWT issued by the Salesive Store API for authenticated shoppers.

x-shop-id
string
header
required

Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.

Headers

x-shop-id
string

Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.

Response

Wishlist cleared successfully.

status
integer
required
success
boolean
required
message
string
required
data
object
required